defmodule Blog.Post do
  use Blog.Web, :model
  import Ecto.Query

  schema "posts" do
    field :title, :string
    field :body, :string
    has_many :comments, Blog.Comment

    timestamps()
  end

  @required_fields ~w(title body)
  @optional_fields ~w()

  @doc """
  Builds a changeset based on the `struct` and `params`.
  """
  def changeset(model, params \\ %{}) do
    model
    |> cast(params, @required_fields, @optional_fields)
  end

 def count_comments(query) do
    from p in query,
      group_by: p.id,
      left_join: c in assoc(p, :comments),
      select: {p, count(c.id)}
  end
end

